### Class

# Snapd Category

since: 1.64

#### Description [src]

    final class Snapd.Category : GObject.Object
    {
      /* No available fields */
    }

`SnapdCategory` is an opaque data structure and can only be accessed using the provided functions.

Available since: 1.64

#### Ancestors

- GObject

#### Instance methods

###### snapd_category_get_featured

Get if this snap is featured in this category.

since: 1.64

###### snapd_category_get_name

Get the name of this category, e.g. “social”.

since: 1.64

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Category:featured

No description available.

###### Snapd.Category:name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdCategoryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.